# TdApi.ImportedContacts (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ImportedContacts

Package it.tdlight.jni

# Class TdApi.ImportedContacts

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ImportedContacts

Enclosing class:
  TdApi

    public static class TdApi.ImportedContacts
    extends TdApi.Object

Represents the result of an ImportContacts request.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int[]` | `importerCount` | The number of users that imported the corresponding contact; 0 for already registered users or if unavailable.
`long[]` | `userIds` | User identifiers of the imported contacts in the same order as they were specified in the request; 0 if the contact is not yet a registered user.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ImportedContacts()` | Represents the result of an ImportContacts request.
`ImportedContacts​(long[] userIds, int[] importerCount)` | Represents the result of an ImportContacts request.
`ImportedContacts​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userIds

public long[] userIds
User identifiers of the imported contacts in the same order as they were specified in the request; 0 if the contact is not yet a registered user.

### importerCount

public int[] importerCount
The number of users that imported the corresponding contact; 0 for already registered users or if unavailable.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ImportedContacts

public ImportedContacts()
Represents the result of an ImportContacts request.

### ImportedContacts

public ImportedContacts​(long[] userIds, int[] importerCount)
Represents the result of an ImportContacts request.

Parameters:
  `userIds` - long[] User identifiers of the imported contacts in the same order as they were specified in the request; 0 if the contact is not yet a registered user.
  `importerCount` - int[] The number of users that imported the corresponding contact; 0 for already registered users or if unavailable.

### ImportedContacts

public ImportedContacts​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`